# WikiChecker

## Buscador rápido de artículos en Wikipedia.

### Introducción.

El complemento WikiChecker para NVDA permite a los usuarios consultar de forma rápida y accesible cualquier artículo referente a un término en concreto en la [Wikipedia](https://wikipedia.org/).

Wikipedia   Es un proyecto de creación  de una enciclopedia libre en la red, donde cada uno puede aportar sus conocimientos sobre cualquier tema para crear una base de datos con toda la sabiduría humana. Es administrada por la Fundación Wikimedia, una organización sin ánimo de lucro cuya financiación está basada en donaciones. Sus más de 56 millones de artículos en 321 idiomas han sido redactados en conjunto por voluntarios de todo el mundo, lo que suma más de 2000 millones de ediciones, y permite que cualquier persona pueda sumarse al proyecto para editarlos, a menos que la página se encuentre protegida contra vandalismos para evitar problemas o disputas.


### Modo de uso.

La forma de utilización de WikiChecker es muy simple. Basta con seguir los siguientes tres pasos:

1. Pulsar el atajo de teclas rápidas asignado, que previamente habrá tenido que configurarse en el cuadro de diálogo de Gestos de entrada, dentro de la categoría WikiChecker.

2. Introducir el término deseado a buscar en el cuadro de edición dispuesto al efecto y ejecutar la consulta en Wikipedia pulsando INTRO, o bien, pulsando el botón 'Buscar'.

3. Seleccionar el resultado que nos interese y pulsar INTRO encima de él, o bien, pulsar el botón 'Leer artículo'.

Una vez realizados estos tres pasos, el artículo se abrirá en la ventana del navegador que tengamos por defecto asignado.

Aviso: El complemento por defecto establece el idioma predefinido en NVDA como idioma de consulta en WikiChecker. En caso de querer buscar el artículo en otro idioma, bastará con seleccionarlo de la lista de idiomas disponibles. En caso de no encontrarse el idioma por defecto en NVDA entre los idiomas disponibles, al ejecutar el complemento se nos posicionará encima de la lista para escoger uno. Si no realizamos este paso, las búsquedas no se realizarán.


### Atajos.

No existen atajos de teclas rápidas preasignados para ejecutar el complemento, de forma que cada usuario pueda configurar el que mejor le venga en cada caso, a fin de no interferir con otros complementos. Para asignarlo, el usuario deberá dirigirse al menú NVDA, Preferencias, Gestos de entrada, y una vez en él, buscar la categoría denominada WikiChecker, y asignar la combinación que más le interese.

Una vez dentro de la interfaz del complemento, sí existen varias combinaciones de teclas preasignadas, de forma que podamos movernos con rapidez entre los distintos elementos de la misma:

* Alt + B: Nos posiciona encima del cuadro de edición para escribir el término a buscar.
* alt + S: Nos posiciona encima del botón 'Buscar' para ejecutar la consulta en Wikipedia.
* Alt + I: Nos posiciona encima de la lista de idiomas disponibles, para que podamos escoger un idioma diferente al predeterminado por defecto, o bien, en caso de no existir el idioma predeterminado en NVDA, para que escojamos uno en el cual realizar la búsqueda.
* Alt + A: Nos posiciona encima de la lista de artículos disponibles, a fin de que escojamos uno de los resultados arrojados por la consulta en Wikipedia.
* Alt + L: Nos posiciona encima del botón 'Leer artículo' para abrir el artículo en el navegador.


## Registro de cambios.

### Versión 1.2.4.

* Actualizada la compatibilidad del complemento a NVDA 2024.1.

### Versión 1.2.3.

* Actualizada la compatibilidad de WikiChecker con NVDA 2023.1.0.
¨* Modificado el archivo README para reflejar los cambios de la versión 1.2.2 faltantes.
* Traducido WikiChecker al Ucraniano. Gracias por la contribución a VovaMobile.

### Versión 1.2.2.

* Actualizada la compatibilidad de WikiChecker con NVDA 2022.1.0.
* Quitados los espacios del principio de los idiomas. Esto hacía que pudiesen encontrarse algunos idiomas pulsando un espacio en el cuadro combinado, en vez de hacerlo por la inicial del mismo, como pasa en el idioma "Retorrománico / Romanche". Gracias a Sukil echenique por la contribución.

### Versión 1.2.1.

* Modificado un error en el complemento que hacía que la ruta del mismo no fuese eliminada del path de NVDA, con la consiguiente problemática que pudiese causar a futuro. Gracias a Héctor Benítez por el aviso.

### Versión 1.2.

* añadidos dos botones, 'Buscar' y 'Leer artículo', para que aquellos usuarios que están más acostumbrados a utilizar estos elementos no se sientan desorientados al usar la interfaz.
* Añadidas las traducciones al portugués y francés. Gracias a Ângelo Miguel Abrantes y Rémy Ruiz respectivamente.
* Modificada la lista de idiomas para que se muestren en inglés, a fin de que puedan ser usados por usuarios que no comprendan el idioma español. Este cambio es experimental y puede ser variado en versiones posteriores.

### Versión 1.1.

* Añadida la posibilidad de que WikiChecker funcione en ordenadores que trabajen bajo servidores proxi.
* Añadida una comprobación adicional que impida lanzar consultas a Wikipedia si no se ha escogido un idioma de entre los disponibles previamente.
* Añadidas comprobaciones adicionales en la carga de los idiomas disponibles a fin de evitar un mal funcionamiento del complemento.
* Corrección de errores y optimización del código desde la versión anterior.

### Versión 1.0.

* Versión inicial.
